Subject: [clisp-list] Named let?

From: "Hoehle, Joerg-Cyril" <[email-masked]>
Date: Fri Oct 4 01:20:08 2002

Hi,

>Scheme has a construct called a named let,
>  This was a very elegant
>and tight construct for recursive loops, e.g.:

Strange. While in CL, I never ever missed Scheme's named let, while in Scheme the programmer often has to resort to it (need recursion for iteration).

You may wish to look at the ITERATE macro (probably need to peek at Cliki), which I once thought would be worthwhile to use. It looks very similar to the named let.
However iterate is a little dangerous in maintenance, because when you modify your code and the iterate call is not in a tail position anymore, strange things may happen. Tim Bradshaw once explained in cll in similarly why he had stopped using ITERATE.

I just feel that CL has enough looping constructs that named-let for iteration is not needed (by me). A named let for recursive tree descent may be interesting though, but that's not iteration any more, which is what you asked for.

Obviously it depends on one's daily programming style.

Regards,
	Jörg Höhle.